<?php

class MovieController extends MovieDatabaseWrapperController {

    /**
     * Movies Page
     * @access public
     * @return void
     */
    public function IndexAction() {
        $pos = strpos($this->requests['value'], "?");
        if($pos !== false):
            $id = explode("?", $this->requests['value']);
            $this->requests['value'] = $id[0];
        endif;
        if (isset($this->requests['key']) and is_numeric($this->requests['key']) and isset($this->requests['value']) and !empty($this->requests['value'])):
            if ($this->requests['key'] == "0000"):
                $this->requests['key'] = null;
            endif;
            $movieID = $this->requests['key'];
            if($this->config["EnableCaching"]):
                $movie = $this->fileCache->get("Movie-".$movieID."-".$this->view->requestedLanguage);
            endif;
            if(!$this->config["EnableCaching"] OR !isset($movie) OR !$movie):
                $movie = $this->tmdb->getMoviePage($movieID);
                if(!isset($movie['title']) and !isset($movie['release_date'])):
                    \NG\Route::redirect(\NG\Uri::baseUrl() . "en/error", "404");
                    exit();
                endif;

                if ($movie['adult'] == false):
                    if(urldecode(substr($this->requests['value'],0,-5)) !=  $movie['title']):
                        if(!isset($movie['release_date']) or empty($movie['release_date'])):
                            $movie['release_date'] = "0000";
                        endif;
                        \NG\Route::redirect(\NG\Uri::baseUrl() . $this->view->requestedLanguage . "/movie/" . $movieID ."/". urlencode($movie['title']."-".substr($movie['release_date'], 0, 4)), "301");
                        exit();
                    endif;
                    
                    if (isset($movie['overview']) and !empty($movie['overview'])):
                        $movie['metaDescription'] = mb_strimwidth(str_replace('"', "", $movie['overview']), 0, 247, '...', 'utf-8');
                        $keywords = "";
                        $keyword_arr = array_unique(explode(" ", $movie['metaDescription']));
                        foreach ($keyword_arr as $value):
                            $n = strlen($value);
                            if ($n > 4):
                                $strip_arr = array(",", ".", ";", ":", "...", '"');
                                $keyword = str_replace($strip_arr, "", $value);
                                $keywords.= $keyword . ",";
                            endif;
                        endforeach;
                        $movie['metaKeywords'] = substr($keywords, 0, -1);
                        
                        $movie['ogTags'] = array(
                            "title" => $movie['title'],
                            "type" => "movie",
                            "url" => \NG\Uri::baseUrl() . $this->view->requestedLanguage . "/movie/" . $movieID ."/". urlencode($movie['title']."-".substr($movie['release_date'], 0, 4)),
                            "image" => $this->view->originalImage . $movie['poster_path'],
                            "site_name" => \NG\Uri::baseUrl(),
                            "description" => $movie['metaDescription'],
                        );
                    endif;
                    foreach ($movie['casts']['crew'] as $key => $crew):
                        if ($crew["department"] == 'Directing' and $crew["job"] == 'Director'):
                            $movie["directors"][] = $movie['casts']['crew'][$key];
                        elseif ($crew["department"] == 'Writing' and $crew["job"] == 'Screenplay'):
                            $movie["writers"][] = $movie['casts']['crew'][$key];
                        endif;
                    endforeach;
                    $youtube = new \NG\Youtube($this->objects["settings"]["Youtube_API_Key"]);
                    $youtube->setLimit(3);                    
                    $trailers = $youtube->search($movie['original_title'] . " ". substr($movie['release_date'], 0, 4) . " trailer");
                    $movie['trailer']['videoID'] = false;
                    if(isset($trailers) and is_array($trailers)):
                        foreach($trailers as $trailer):
                            if(!$movie['trailer']['videoID']):
                                if( $youtube->getDuration($trailer) < 600):
                                    $movie['trailer']['videoID'] = $trailer;
                                endif;
                            endif;
                        endforeach;
                    endif;
                    if(isset($movie['trailer']['videoID']) and !empty($movie['trailer']['videoID'])):
                        $movie['trailer']['video'] = $youtube->getContentSrc($movie['trailer']['videoID']);
                    else:
                        $movie['trailer']['video'] = false;
                    endif;
                    if($this->config["EnableCaching"]):
                        $this->fileCache->set("Movie-".$movieID."-".$this->view->requestedLanguage, $movie);
                    endif;
                endif;
            endif;//cache
            $this->view->movie = $movie;
            $this->view->title = $movie['title'];
            $this->view->canonical = \NG\Uri::baseUrl() . $this->view->requestedLanguage . "/movie/" . $movieID ."/". urlencode($movie['title']."-".substr($movie['release_date'], 0, 4));
            $this->view->metaDescription = isset($movie['metaDescription']) ? $movie['metaDescription'] : $this->view->translation['defaultMetaDescription'];
            $this->view->metaKeywords = isset($movie['metaKeywords']) ? $movie['metaKeywords'] : $this->view->translation['defaultMetaKeywords'];
            $this->view->og = isset($movie['ogTags']) ? $movie['ogTags'] : false;
            $this->view->directors = isset($movie["directors"]) ? $movie['directors'] : false;
            $this->view->writers = isset($movie["writers"]) ? $movie['writers'] : false;
            if(isset($movie['trailer']['videoID']) and !empty($movie['trailer']['videoID'])
                and isset($movie['trailer']['video']) and !empty($movie['trailer']['video'])):
                $this->view->youtubeVideoID = $movie['trailer']['videoID'];
                $this->view->youtubeVideo = $movie['trailer']['video'];
            else:
                $this->view->youtubeVideo = $this->view->youtubeVideoID = false;
            endif;

        else:
            //error, Return 404 error and Redirect to error page
            \NG\Route::redirect(\NG\Uri::baseUrl() . $this->requestedLanguage . "/error/notfound", "404");
            exit();
        endif;
    }

}